org.eclipse.gmt.modisco.java.generation.files

## Class GenerateJavaExtended

- java.lang.Object
- - AbstractAcceleoGenerator
  - - org.eclipse.gmt.modisco.java.generation.files.GenerateJava
    - - org.eclipse.gmt.modisco.java.generation.files.GenerateJavaExtended

Direct Known Subclasses:
  Generate_JavaStructures

    public class GenerateJavaExtended
    extends GenerateJava

Entry point of the 'GenerateJava' generation module with additional post action : Java formatting.

See Also:
  `GenerateJava`

### Field Summary

### Fields inherited from class org.eclipse.gmt.modisco.java.generation.files.GenerateJava

`MODULE_FILE_NAME, TEMPLATE_NAMES`

### Constructor Summary

Constructors
Constructor and Description
`GenerateJavaExtended()`
`GenerateJavaExtended(EObject model, java.io.File targetFolder, java.util.List<? extends java.lang.Object> arguments)`
`GenerateJavaExtended(URI modelURI, java.io.File targetFolder, java.util.List<? extends java.lang.Object> arguments)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `doGenerate(Monitor monitor)` Launches the generation described by this instance.
`static void` `main(java.lang.String[] args)` This can be used to launch the generation from a standalone application.

### Methods inherited from class org.eclipse.gmt.modisco.java.generation.files.GenerateJava

`addPropertiesFile, getGenerationListeners, getGenerationStrategy, getModuleName, getProperties, getTemplateNames, registerPackages, registerResourceFactories`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GenerateJavaExtended

    public GenerateJavaExtended()

#### GenerateJavaExtended

    public GenerateJavaExtended(URI modelURI,
                                java.io.File targetFolder,
                                java.util.List<? extends java.lang.Object> arguments)
                         throws java.io.IOException

Throws:
  `java.io.IOException`

#### GenerateJavaExtended

    public GenerateJavaExtended(EObject model,
                                java.io.File targetFolder,
                                java.util.List<? extends java.lang.Object> arguments)
                         throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### doGenerate

    public void doGenerate(Monitor monitor)
                    throws java.io.IOException

Description copied from class: `GenerateJava`
Launches the generation described by this instance.

Overrides:
  `doGenerate` in class `GenerateJava`
Parameters:
  `monitor` - This will be used to display progress information to the user.
Throws:
  `java.io.IOException` - This will be thrown if any of the output files cannot be saved to disk.

#### main

    public static void main(java.lang.String[] args)

This can be used to launch the generation from a standalone application.

Parameters:
  `args` - Arguments of the generation.